;80 B3 AA 00 00 04 [PIN_4]			;enter user code upload mode upon valid PIN
;80 B3 AA 00 00 [RCH] [RCL] 00

;------------------------------------------------------------------------------

	ldd	r16,z+3
	tst	r16
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+4
	tst	r16
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+5
	cpi	r16,PINLEN
	m_brne_err4			;incorrect size LEN

;------------------------------------------------------------------------------

	clr	r18
_bot1:	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	andi	zh,$1F			;8192 bytes eeprom
	ori	zh,$80			;eeprom is $8000-$9FFF

	ldi	r17,_sc_read_eeprom	;eeprom byte returns in r16
	sts	RAM_system_call,r17
	wdr				;system call

	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,6
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r17,z			;PIN from user
	eor	r16,r17			;PIN from eeprom
	m_brne_err7			;wrong PIN

	inc	r18
	cpi	r18,PINLEN
	brne	_bot1

	ldi	r16,_sc_code_upload
	sts	RAM_system_call,r16
	wdr				;system call (now WITH return)

;------------------------------------------------------------------------------

	clr	r16			;answer LEN = 0
	rjmp	_suc1			;command executed properly
