_suc1:	ldi	r17,low(RC_9000)		;command executed properly
	sts	RAM_RC_low,r17
	ldi	r17,high(RC_9000)
	sts	RAM_RC_high,r17
	rjmp	_suc0

_err1:	ldi	r16,low(RC_6E00)		;undefined class
	sts	RAM_RC_low,r16
	ldi	r16,high(RC_6E00)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err2:	ldi	r16,low(RC_6D00)		;undefined instruction
	sts	RAM_RC_low,r16
	ldi	r16,high(RC_6D00)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err3:	ldi	r16,low(RC_6B00)		;incorrect parameters REF1, REF2
	sts	RAM_RC_low,r16
	ldi	r16,high(RC_6B00)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err4:	ldi	r16,low(RC_6700)		;incorrect size LEN
	sts	RAM_RC_low,r16
	ldi	r16,high(RC_6700)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err5:	ldi	r16,low(RC_6200)		;checksum verification failed
	sts	RAM_RC_low,r16
	ldi	r16,high(RC_6200)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err6:	sts	RAM_RC_low,r16		;RSA error
	ldi	r16,high(RC_9000)
	sts	RAM_RC_high,r16
	rjmp	_err0

_err7:	ldi	r16,$01			;wrong PIN
	rjmp	_err6
