;80 B3 1E 00 00 08 [PIN_old_4] [PIN_new_4]
;80 B3 1E 00 00 [RCH] [RCL] 00
	ldd	r16,z+3			;change PIN
	tst	r16
	brne	_e1E0
	ldd	r16,z+4
	tst	r16
	brne	_e1E0
	ldd	r16,z+5
	cpi	r16,PINLEN * 2
	brne	_e1E1
	rjmp	_pin0

_e1E0:	rjmp	_err3			;incorrect parameters REF1, REF2
_e1E1:	rjmp	_err4			;incorrect size LEN
_e1E2:	ldi	r16,$01			;RC = 9001 if wrong PIN
	rjmp	_e1E3

_pin0:	clr	r18
_pin1:	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	ldi	r17,_sc_read_eeprom	;eeprom byte returns in r16
	call	ADR_system_call

	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,6
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r17,z			;PIN from user
	eor	r16,r17			;PIN from eeprom
	brne	_e1E2			;wrong PIN

	inc	r18
	cpi	r18,PINLEN
	brne	_pin1

	clr	r18
_pin2:	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,(6 + PINLEN)
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r16,z			;new PIN from user

	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	ldi	r17,_sc_write_eeprom	;eeprom byte to write in r16
	call	ADR_system_call

	inc	r18
	cpi	r18,PINLEN
	brne	_pin2

	clr	r16			;answer LEN = 0
	rjmp	_suc1			;command executed properly
