;80 B2 10 00 0x 20 [plain_16] [key_16]	;AES encryption / decryption
;80 B2 10 00 0x [RCH] [RCL] 10 [chipher_16]
;x is { 0 => encryption, 1 => decryption }

;------------------------------------------------------------------------------

	ldd	r16,z+3
	tst	r16
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+4
	mov	r17,r16			;store here
	andi	r16,$FE			;least significant bit is { 0, 1 }
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+5
	cpi	r16,$20
	m_brne_err4			;incorrect size LEN

;------------------------------------------------------------------------------

	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,6

	clr	yl			;copy buffer + 6 to r0-r15
	clr	yh
_aes1:	ld	r16,z+
	st	y+,r16
	cpi	yl,$10
	brne	_aes1

	ldi	yl,low(RAM_key)		;copy buffer + $16 to RAM_key
	ldi	yh,high(RAM_key)
_aes2:	ld	r16,z+
	st	y+,r16
	cpi	yl,low(RAM_port)
	brne	_aes2

	ldi	r16,_sc_AES_encrypt	;AES encryption
	tst	r17
	breq	_aes3
	ldi	r16,_sc_AES_decrypt	;AES decryption

_aes3:	sts	RAM_system_call,r16
	wdr				;system call

	ldi	zl,low(RAM_buf)		;copy r0-r15 to buffer + 8
	ldi	zh,high(RAM_buf)
	adiw	zl,8
	clr	yl
	clr	yh
_aes4:	ld	r16,y+
	st	z+,r16
	cpi	yl,$10
	brne	_aes4

;------------------------------------------------------------------------------

	ldi	r16,$10			;answer LEN
	jmp	_suc1			;command executed properly
