;80 B3 1E 00 00 08 [PIN_old_4] [PIN_new_4]	;change PIN
;80 B3 1E 00 00 [RCH] [RCL] 00

;------------------------------------------------------------------------------

	ldd	r16,z+3
	tst	r16
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+4
	tst	r16
	m_brne_err3			;incorrect parameters REF1, REF2

	ldd	r16,z+5
	cpi	r16,PINLEN * 2
	m_brne_err4			;incorrect size LEN

;------------------------------------------------------------------------------

	clr	r18
_pin1:	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	andi	zh,$1F			;8192 bytes eeprom
	ori	zh,$80			;eeprom is $8000-$9FFF

	ldi	r17,_sc_read_eeprom	;eeprom byte returns in r16
	sts	RAM_system_call,r17
	wdr				;system call

	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,6
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r17,z			;PIN from user
	eor	r16,r17			;PIN from eeprom
	m_brne_err7			;wrong PIN

	inc	r18
	cpi	r18,PINLEN
	brne	_pin1

	clr	r18
_pin2:	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,(6 + PINLEN)
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r16,z			;new PIN from user

	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	andi	zh,$1F			;8192 bytes eeprom
	ori	zh,$80			;eeprom is $8000-$9FFF

	ldi	r17,_sc_write_eeprom	;eeprom byte to write in r16
	sts	RAM_system_call,r17
	wdr				;system call

	inc	r18
	cpi	r18,PINLEN
	brne	_pin2

;------------------------------------------------------------------------------

	clr	r16			;answer LEN = 0
	rjmp	_suc1			;command executed properly
