;80 B2 00 00 0x 60 [RSA_data_in_96]
;80 B2 00 00 0x [RCH] [RCL] 60 [RSA_data_out_96]
;x is { 0 = public RSA, 1 = private RSA }
	ldd	r16,z+3			;RSA
	tst	r16
	brne	_e000
	ldd	r16,z+4
	mov	r17,r16			;store here
	andi	r16,$FE			;least significant bit is { 0, 1 }
	brne	_e000
	ldd	r16,z+5
	cpi	r16,_RSA_768_length
	brne	_e001
	rjmp	_rsa0

_e000:	rjmp	_err3			;incorrect parameters REF1, REF2
_e001:	rjmp	_err4			;incorrect size LEN
_e002:	rjmp	_e003			;RC = 90xx if RSA error

_rsa0:	ldi	zl,low(EE_mod)
	ldi	zh,high(EE_mod)

	ldi	r16,_RSA_768_length
	ldi	r17,_sc_RSA_modulus	;load modulus
	call	ADR_system_call

	cpi	r16,_EC_RSA_success	;check success
	brne	_e002			;error
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~;
	ldi	zl,low(RAM_buf)		;start address for data in RAM
	ldi	zh,high(RAM_buf)
	adiw	zl,6

	ldi	r16,_RSA_768_length
	ldi	r17,_sc_RSA_data_in	;set RSA data
	call	ADR_system_call
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~;
	ldi	zl,low(EE_pub)		;public exponent
	ldi	zh,high(EE_pub)
	tst	r17
	breq	_rsa1
	ldi	zl,low(EE_prv)		;private exponent
	ldi	zh,high(EE_prv)

_rsa1:	ldi	r16,_RSA_768_length
	ldi	r17,_sc_RSA_exponent	;set exponent and exponentiate
	call	ADR_system_call

	cpi	r16,_EC_RSA_success	;check success
	brne	_e002			;error
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~;
	ldi	zl,low(RAM_buf)		;start address for data in RAM
	ldi	zh,high(RAM_buf)
	adiw	zl,8

	ldi	r16,_RSA_768_length
	ldi	r17,_sc_RSA_data_out	;get RSA data
	call	ADR_system_call

	ldi	r16,_RSA_768_length	;answer LEN
	rjmp	_suc1			;command executed properly
