;80 B3 AA 00 00 04 [PIN_4]
	ldd	r16,z+3			;enter user code upload mode
	tst	r16
	brne	_eAA0
	ldd	r16,z+4
	tst	r16
	brne	_eAA0
	ldd	r16,z+5
	cpi	r16,PINLEN
	brne	_eAA1
	rjmp	_bot0

_eAA0:	rjmp	_err3			;incorrect parameters REF1, REF2
_eAA1:	rjmp	_err4			;incorrect size LEN
_eAA2:	ldi	r16,$01			;RC = 9001 if wrong PIN
	rjmp	_eAA3

_bot0:	clr	r18
_bot1:	ldi	zl,low(EE_pin)
	ldi	zh,high(EE_pin)
	clr	r17
	add	zl,r18
	adc	zh,r17

	ldi	r17,_sc_read_eeprom	;eeprom byte returns in r16
	call	ADR_system_call

	ldi	zl,low(RAM_buf)
	ldi	zh,high(RAM_buf)
	adiw	zl,6
	clr	r17
	add	zl,r18
	adc	zh,r17

	ld	r17,z			;PIN from user
	eor	r16,r17			;PIN from eeprom
	brne	_eAA2			;wrong PIN

	inc	r18
	cpi	r18,PINLEN
	brne	_bot1

	ldi	r17,_sc_code_upload
	call	ADR_system_call		;no return
