_suc1:	push	r16			;store LEN
	ldi	r16,low(RC_9000)		;command executed properly
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_9000)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	pop	r16
	rjmp	_suc0

_err1:	ldi	r16,low(RC_6E00)		;undefined class
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_6E00)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0

_err2:	ldi	r16,low(RC_6D00)		;undefined instruction
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_6D00)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0

_err3:	ldi	r16,low(RC_6B00)		;incorrect parameters REF1, REF2
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_6B00)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0

_err4:	ldi	r16,low(RC_6700)		;incorrect size LEN
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_6700)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0

_err5:	ldi	r16,low(RC_6200)		;checksum verification failed
	ldi	r17,_sc_wr_RC_low
	call	ADR_system_call
	ldi	r16,high(RC_6200)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0

_e1E3:					;wrong PIN to change PIN
_eAA3:					;wrong PIN to enable upload mode
_e003:					;RSA error
	ldi	r17,_sc_wr_RC_low		;error code in r16
	call	ADR_system_call
	ldi	r16,high(RC_9000)
	ldi	r17,_sc_wr_RC_high
	call	ADR_system_call
	rjmp	_err0
